Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.connecterra.ale.alevent.impl
Class EngineECSpecInfo

    java.lang.Object
      com.connecterra.ale.alevent.impl.EngineECSpecInfo

All Implemented Interfaces:
  ECSpecInfo

public class EngineECSpecInfo
extends java.lang.Object
implements ECSpecInfo

Constructor Summary
`EngineECSpecInfo()`

Method Summary
`int` | `getActivationCount()` Returns the number of times the event cycle for the ECSpec has been activated since it was defined.
`long` | `getLastActivated()` Returns the last time the event cycle for the ECSpec was activated.
`long` | `getLastReported()` Returns the last time a report was generated by the event cycle for the ECSpec.
`int` | `getSubscriberCount()` Returns the number of URIs subscribed to an ECSpec.
`boolean` | `isSuspended()` Returns true if the ECSpec processing is suspended.
`void` | `setActivationCount(int count)`
`void` | `setLastActivated(long millis)`
`void` | `setLastReported(long millis)`
`void` | `setSubscriberCount(int count)`
`void` | `setSuspended(boolean suspended)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EngineECSpecInfo

    public EngineECSpecInfo()

Method Detail

### getSubscriberCount

    public int getSubscriberCount()

  Description copied from interface: `ECSpecInfo`
  Returns the number of URIs subscribed to an ECSpec.

  Specified by:
    `getSubscriberCount` in interface `ECSpecInfo`

### setSubscriberCount

    public void setSubscriberCount(int count)

### getActivationCount

    public int getActivationCount()

  Description copied from interface: `ECSpecInfo`
  Returns the number of times the event cycle for the ECSpec has been activated since it was defined.

  Specified by:
    `getActivationCount` in interface `ECSpecInfo`

### setActivationCount

    public void setActivationCount(int count)

### getLastActivated

    public long getLastActivated()

  Description copied from interface: `ECSpecInfo`
  Returns the last time the event cycle for the ECSpec was activated.

  Specified by:
    `getLastActivated` in interface `ECSpecInfo`
  Returns:
    A time in milliseconds, as returned from System.currentTimeMillis(). If the event cycle has never been activated, returns -1.

### setLastActivated

    public void setLastActivated(long millis)

### getLastReported

    public long getLastReported()

  Description copied from interface: `ECSpecInfo`
  Returns the last time a report was generated by the event cycle for the ECSpec.

  Specified by:
    `getLastReported` in interface `ECSpecInfo`
  Returns:
    A time in milliseconds, as returned from System.currentTimeMillis(). If a report has never been generated, returns -1.

### setLastReported

    public void setLastReported(long millis)

### isSuspended

    public boolean isSuspended()

  Description copied from interface: `ECSpecInfo`
  Returns true if the ECSpec processing is suspended.

  Specified by:
    `isSuspended` in interface `ECSpecInfo`
  See Also:
    `ALE.suspend(java.lang.String)`

### setSuspended

    public void setSuspended(boolean suspended)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD